[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParam.GetData

Get the parameter value from a memory buffer

## Declaration

Source position: db.pas line 1244

`public procedure TParam.GetData(`
`Buffer: Pointer`
`);`

## Arguments

`Buffer` |  | Buffer to copy parameter value to.

## Description

GetData retrieves the parameter value and stores it in buffer It uses the same data layout as TField, and can be used to copy the parameter value to a record buffer.

## Errors

Only basic field types are supported. Using an unsupported field type will result in an EdatabaseError exception.

## See also

TParam.SetData |  | Set the parameter value from a buffer
TField |  | Provide access to the contents of a single field in a record